<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: /work/dan/AMC13/amc13-fw/src/common/DDR/ddr3_1_9_a/clocking/mig_7series_v1_9_clk_ibuf.v Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_fdedb0aba14d44ce9d99bc100e026e6a.html">common</a></li><li class="navelem"><a class="el" href="dir_04ba79c0d2c6a91c409d61692b0edfbc.html">DDR</a></li><li class="navelem"><a class="el" href="dir_112db334f7b2cba50b4af5e23d3bedae.html">ddr3_1_9_a</a></li><li class="navelem"><a class="el" href="dir_ccee2071390ae90f42a6a17307e81be4.html">clocking</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">mig_7series_v1_9_clk_ibuf.v</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; <span class="keyword">//*****************************************************************************</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="keyword">// (c) Copyright 2009 - 2013 Xilinx, Inc. All rights reserved.</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="keyword">//</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="keyword">// This file contains confidential and proprietary information</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="keyword">// of Xilinx, Inc. and is protected under U.S. and</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="keyword">// international copyright and other intellectual property</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="keyword">// laws.</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="keyword">//</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="keyword">// DISCLAIMER</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="keyword">// This disclaimer is not a license and does not grant any</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="keyword">// rights to the materials distributed herewith. Except as</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keyword">// otherwise provided in a valid license issued to you by</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="keyword">// Xilinx, and to the maximum extent permitted by applicable</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">// law: (1) THESE MATERIALS ARE MADE AVAILABLE &quot;AS IS&quot; AND</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">// (2) Xilinx shall not be liable (whether in contract or tort,</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">// including negligence, or under any other theory of</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">// liability) for any loss or damage of any kind or nature</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">// related to, arising under or in connection with these</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">// materials, including for any direct, or any indirect,</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">// special, incidental, or consequential loss or damage</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">// (including loss of data, profits, goodwill, or any type of</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">// loss or damage suffered as a result of any action brought</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">// by a third party) even if such damage or loss was</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">// reasonably foreseeable or Xilinx had been advised of the</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">// possibility of the same.</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">//</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">// CRITICAL APPLICATIONS</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">// Xilinx products are not designed or intended to be fail-</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keyword">// safe, or for use in any application requiring fail-safe</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">// performance, such as life-support or safety devices or</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="keyword">// systems, Class III medical devices, nuclear facilities,</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keyword">// applications related to the deployment of airbags, or any</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">// other applications that could lead to death, personal</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="keyword">// injury, or severe property or environmental damage</span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="keyword">// (individually and collectively, &quot;Critical</span></div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="keyword">// Applications&quot;). Customer assumes the sole risk and</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="keyword">// liability of any use of Xilinx products in Critical</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="keyword">// Applications, subject only to applicable laws and</span></div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="keyword">// regulations governing limitations on product liability.</span></div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="keyword">//</span></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="keyword">// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS</span></div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="keyword">// PART OF THIS FILE AT ALL TIMES.</span></div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="keyword">//</span></div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="keyword">//*****************************************************************************</span></div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="keyword">//   ____  ____</span></div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="keyword">//  /   /\/   /</span></div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="keyword">// /___/  \  /    Vendor: Xilinx</span></div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;<span class="keyword">// \   \   \/     Version:%version</span></div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="keyword">//  \   \         Application: MIG</span></div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="keyword">//  /   /         Filename: clk_ibuf.v</span></div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="keyword">// /___/   /\     Date Last Modified: $Date: 2011/06/02 08:34:56 $</span></div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="keyword">// \   \  /  \    Date Created:Mon Aug 3 2009</span></div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="keyword">//  \___\/\___\</span></div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="keyword">//</span></div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<span class="keyword">//Device: Virtex-6</span></div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;<span class="keyword">//Design Name: DDR3 SDRAM</span></div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;<span class="keyword">//Purpose:</span></div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="keyword">//   Clock generation/distribution and reset synchronization</span></div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="keyword">//Reference:</span></div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;<span class="keyword">//Revision History:</span></div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="keyword">//*****************************************************************************</span></div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<span class="preprocessor">`timescale</span> 1ns/1ps</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div>
<div class="line"><a name="l00068"></a><span class="lineno"><a class="code" href="enummig__7series__v1__9__clk__ibuf.html">   68</a></span>&#160;<span class="vhdlkeyword">module</span> <a class="code" href="enummig__7series__v1__9__clk__ibuf.html">mig_7series_v1_9_clk_ibuf</a> #</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;  (</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;   <span class="vhdlkeyword">parameter</span> <span class="vhdlchar">SYSCLK_TYPE</span>      = <span class="keyword">&quot;DIFFERENTIAL&quot;</span>,</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;                                <span class="keyword">// input clock type</span></div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;   <span class="vhdlkeyword">parameter</span> <span class="vhdlchar">DIFF_TERM_SYSCLK</span> = <span class="keyword">&quot;TRUE&quot;</span></div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;                                <span class="keyword">// Differential Termination</span></div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;   )</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;  (</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;   <span class="keyword">// Clock inputs</span></div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;   <span class="vhdlkeyword">input</span>  <span class="vhdlchar">sys_clk_p</span>,          <span class="keyword">// System clock diff input</span></div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;   <span class="vhdlkeyword">input</span>  <span class="vhdlchar">sys_clk_n</span>,</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;   <span class="vhdlkeyword">input</span>  <span class="vhdlchar">sys_clk_i</span>,</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;   <span class="vhdlkeyword">output</span> <span class="vhdlchar">mmcm_clk</span></div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;   );</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;   (* <span class="vhdlchar">KEEP</span> = <span class="keyword">&quot;TRUE&quot;</span> *) <span class="vhdlkeyword">wire</span> <span class="vhdlchar">sys_clk_ibufg</span> <span class="keyword">/* synthesis syn_keep = 1 **/</span>;</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;  <span class="vhdlkeyword">generate</span></div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    <span class="vhdlkeyword">if</span> (<span class="vhdlchar">SYSCLK_TYPE</span> == <span class="keyword">&quot;DIFFERENTIAL&quot;</span>) <span class="vhdlkeyword">begin</span>: <span class="vhdlchar">diff_input_clk</span></div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;      <span class="keyword">//***********************************************************************</span></div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;      <span class="keyword">// Differential input clock input buffers</span></div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;      <span class="keyword">//***********************************************************************</span></div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;      <span class="vhdlchar">IBUFGDS</span> #</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;        (</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;         .<span class="vhdlchar">DIFF_TERM</span>    (<span class="vhdlchar">DIFF_TERM_SYSCLK</span>),</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;         .<span class="vhdlchar">IBUF_LOW_PWR</span> (<span class="keyword">&quot;FALSE&quot;</span>)</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;         )</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;        <span class="vhdlchar">u_ibufg_sys_clk</span></div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;          (</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;           .<span class="vhdlchar">I</span>  (<span class="vhdlchar">sys_clk_p</span>),</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;           .<span class="vhdlchar">IB</span> (<span class="vhdlchar">sys_clk_n</span>),</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;           .<span class="vhdlchar">O</span>  (<span class="vhdlchar">sys_clk_ibufg</span>)</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;           );</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;    <span class="vhdlkeyword">end</span> <span class="vhdlkeyword">else</span> <span class="vhdlkeyword">if</span> (<span class="vhdlchar">SYSCLK_TYPE</span> == <span class="keyword">&quot;SINGLE_ENDED&quot;</span>) <span class="vhdlkeyword">begin</span>: <span class="vhdlchar">se_input_clk</span></div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;      <span class="keyword">//***********************************************************************</span></div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;      <span class="keyword">// SINGLE_ENDED input clock input buffers</span></div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;      <span class="keyword">//***********************************************************************</span></div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;      <span class="vhdlchar">IBUFG</span> #</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;        (</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;         .<span class="vhdlchar">IBUF_LOW_PWR</span> (<span class="keyword">&quot;FALSE&quot;</span>)</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;         )</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;        <span class="vhdlchar">u_ibufg_sys_clk</span></div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;          (</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;           .<span class="vhdlchar">I</span>  (<span class="vhdlchar">sys_clk_i</span>),</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;           .<span class="vhdlchar">O</span>  (<span class="vhdlchar">sys_clk_ibufg</span>)</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;           );</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;    <span class="vhdlkeyword">end</span> <span class="vhdlkeyword">else</span> <span class="vhdlkeyword">if</span> (<span class="vhdlchar">SYSCLK_TYPE</span> == <span class="keyword">&quot;NO_BUFFER&quot;</span>) <span class="vhdlkeyword">begin</span>: <span class="vhdlchar">internal_clk</span></div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;      <span class="keyword">//***********************************************************************</span></div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;      <span class="keyword">// System clock is driven from FPGA internal clock (clock from fabric)</span></div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;      <span class="keyword">//***********************************************************************</span></div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;      <span class="vhdlkeyword">assign</span> <span class="vhdlchar">sys_clk_ibufg</span> = <span class="vhdlchar">sys_clk_i</span>;</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;   <span class="vhdlkeyword">end</span></div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;  <span class="vhdlkeyword">endgenerate</span></div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;  <span class="vhdlkeyword">assign</span> <span class="vhdlchar">mmcm_clk</span> = <span class="vhdlchar">sys_clk_ibufg</span>;</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;<span class="vhdlkeyword">endmodule</span></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:40 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
